Bug 1908743 - KubeMacPool component must be enabled in infrastructure namespace
Summary: KubeMacPool component must be enabled in infrastructure namespace
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Nir Argaman
QA Contact: Chen Yosef
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 13:38 UTC by Nir Argaman
Modified: 2021-01-12 08:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-10 08:26:19 UTC
Target Upstream Version:
cyosef: needinfo+
phoracek: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4509 0 None closed Bug 1908743: Add validation that the KubeMacPool component is enabled for the namespace 2021-01-10 08:12:36 UTC

Description Nir Argaman 2020-12-17 13:38:24 UTC
Description of problem:

Enable the KubeMacPool component for the namespace, virtual machine NICs in that namespace are allocated MAC addresses from a MAC address pool. This ensures that  virtual machine instances created from that virtual machine retain the assigned MAC address across reboots.
In order to do that, add the KubeMacPool label to the namespace, run: oc label namespace <namespace> mutatevirtualmachines.kubemacpool.io=allocate
For more information go to https://docs.openshift.com/container-platform/4.6/virt/virtual_machines/vm_networking/virt-using-mac-address-pool-for-vms.html

Comment 1 Chen Yosef 2020-12-20 15:44:46 UTC
@danken@redhat.com @phoracek@redhat.com What are the plans to make this the default behavior of KubeVirt / OPenshfit Virtualization ? Retaining the mac address after VM restart seems like a basic feature of any virtualization platform.

Comment 4 Petr Horáček 2021-01-04 10:29:37 UTC
Nir, could you please help me understand what changed to move this to verified? The title of the PR "Add validation that the KubeMacPool component is enabled for the namespace" suggests that KMP is now a hard requirement for CNV. Is that the case?

Comment 5 Chen Yosef 2021-01-04 10:51:25 UTC
@phoracek@redhat.com KMP is now a hard requirement for the namespace where the tenant cluster is installed in. The installer will now verify that the namespace where the user wants to install the tenant cluster in has the appropriate KMP label.


Note You need to log in before you can comment on or make changes to this bug.